import java.util.List;

/**
 * Menue is a class to built a menue
 *
 * @author: Madeleine Vigier
 * @version: 1.0
 */
public class Menue{
    String date;
    String dish;
    String sideDish;
    String typ;
    List<String> ingredients;


    /**
     * constructor
     *  @param date                    date of meal
     * @param dish                    meal
     * @param sideDish                side dish
     * @param typ                     vegan, vegetarian or meat
     * @param ingredients             list of ingredients
     */
    public Menue(String date, String dish, String sideDish, String typ, List<String> ingredients) {
        this.date = date;
        this.dish = dish;
        this.sideDish = sideDish;
        this.typ = typ;
        this.ingredients = ingredients;
    }


    public String getDate() {
        return date;
    }

    public String getDish() {
        return dish;
    }

    public String getSideDish() {
        return sideDish;
    }

    public String getTyp() {
        if (typ.contains("DessertV") || typ.contains("Dessert")) {
            return "";
        } else {

            return typ;
        }
    }



    @Override
    public String toString() {
        return dish + "\n" + sideDish
                + "\n" + ingredients.toString().replace("[","").replace("]","") + "\n" + getTyp() + "\n";
    }
}

